internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation Class Reference
Inheritance diagram for internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation:
Collaboration diagram for internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation:

## Public Member Functions

| indexer_node_base_operation (const output_type *e, op_type t)
| indexer_node_base_operation (const successor_type &s, op_type t)
| indexer_node_base_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
union {
output_type const * my_arg
successor_type * my_succ
task * bypass_t
}; |
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename InputTuple, typename OutputType, typename StructTypes>
class internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation

Definition at line 194 of file _flow_graph_indexer_impl.h.

## Constructor & Destructor Documentation

## indexer_node_base_operation() [1/3]

template<typename InputTuple , typename OutputType , typename StructTypes >

internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation::indexer_node_base_operation | ( | const output_type * | e,
|  | op_type | t
| ) |  |

inline

Definition at line 206 of file _flow_graph_indexer_impl.h.

:
type(char(t)), my_arg(e) {}
internal::indexer_node_base::indexer_node_base_operation::type
char type
Definition: _flow_graph_indexer_impl.h:196
internal::indexer_node_base::indexer_node_base_operation::my_arg
output_type const * my_arg
Definition: _flow_graph_indexer_impl.h:198

## indexer_node_base_operation() [2/3]

template<typename InputTuple , typename OutputType , typename StructTypes >

internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation::indexer_node_base_operation | ( | const successor_type & | s,
|  | op_type | t
| ) |  |

inline

Definition at line 208 of file _flow_graph_indexer_impl.h.

: type(char(t)),
my_succ(const_cast<successor_type *>(&s)) {}
s
void const char const char int ITT_FORMAT __itt_group_sync s
Definition: ittnotify_static.h:91
internal::indexer_node_base::successor_type
sender< output_type >::successor_type successor_type
Definition: _flow_graph_indexer_impl.h:177
internal::indexer_node_base::indexer_node_base_operation::my_succ
successor_type * my_succ
Definition: _flow_graph_indexer_impl.h:199

## indexer_node_base_operation() [3/3]

template<typename InputTuple , typename OutputType , typename StructTypes >

internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation::indexer_node_base_operation | ( | op_type | t | ) |

inline

Definition at line 210 of file _flow_graph_indexer_impl.h.

: type(char(t)) {}

## Member Data Documentation

##

union { ... }

## bypass_t

template<typename InputTuple , typename OutputType , typename StructTypes >

task* internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation::bypass_t

Definition at line 200 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_node_base< InputTuple, OutputType, StructTypes >::handle_operations(), and internal::indexer_node_base< InputTuple, OutputType, StructTypes >::try_put_task().

## my_arg

template<typename InputTuple , typename OutputType , typename StructTypes >

output_type const* internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation::my_arg

Definition at line 198 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_node_base< InputTuple, OutputType, StructTypes >::handle_operations().

## my_succ

template<typename InputTuple , typename OutputType , typename StructTypes >

successor_type* internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation::my_succ

Definition at line 199 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_node_base< InputTuple, OutputType, StructTypes >::handle_operations().

## type

template<typename InputTuple , typename OutputType , typename StructTypes >

char internal::indexer_node_base< InputTuple, OutputType, StructTypes >::indexer_node_base_operation::type

Definition at line 196 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_node_base< InputTuple, OutputType, StructTypes >::handle_operations().

The documentation for this class was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.